                      Computer Science 825
                         Quiz A           Name _______________________

 1. a.In the backward learning routing algorithm describe  PRECISELY what
      the network layer does with regard to routing whenever a packet is
      received.







    b. How can the backward learning algorithm be made to respond to adverse
       changes in topology WITHOUT undergoing a complete cold start.





 2. Let N = number of nodes in a network and M = the average number
    of links / node.

    a. The size of a routing info packet in Bellman-Ford is proportional to:

       1. M      2. N      3. N ** 2       4. N * M

    b. The size of a routing info packet in SPF   is proportional
       to:

       1. M      2. N      3. N ** 2       4. N * M

    c. The number of routing packets transmitted throughout the entire
       network at each routing exchange in Bellman-Ford is proportional to:

       1. M      2. N      3. N ** 2       4. N * M

    d. In terms of computational complexity the SPF algorithm as performed
       by a single node is of order.

       1. M    2. N     3. N ** 2    4. M ** 2    5. N * M

    e. Routing information exchanges in the Bellman-Ford ARPANET scheme took
       place at least as often as once a

       1. Second   2. Minute    3. Hour    4. Day

    f. Routing information exchanges in the SPF ARPANET scheme take
       place at least as often as once a

       1. Second   2. Minute    3. Hour    4. Day

    g. What routing technique is used to route the routing information
       packets themselves in the SPF ARPANET scheme.


    h. In terms of computational complexity the Bellman-Ford algorithm as
       performed by a single node is of order.

       1. M    2. N     3. N ** 2    4. M ** 2    5. N * M

    i. What routing technique is the basis for routing in IBM SNA networks.


